## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XPathExceptionFunctionNotAvailable Class Reference

Exception class thrown when an unknown function is encountered. More...

`#include <XPathFunctionTable.hpp>`

Inheritance diagram for XPathExceptionFunctionNotAvailable:

[legend]
Collaboration diagram for XPathExceptionFunctionNotAvailable:

[legend]
List of all members.

## Public Types

- typedef Function::LocatorType LocatorType

## Public Methods

- XPathExceptionFunctionNotAvailable (const XalanDOMString &theFunctionNumber, XalanDOMString &theResult)
- XPathExceptionFunctionNotAvailable (const XalanDOMString &theFunctionNumber, const LocatorType &theLocator, XalanDOMString &theResult)
- ~XPathExceptionFunctionNotAvailable ()

## Detailed Description

Exception class thrown when an unknown function is encountered.

## Member Typedef Documentation

typedef Function::LocatorType XPathExceptionFunctionNotAvailable::LocatorType

## Constructor & Destructor Documentation

XPathExceptionFunctionNotAvailable::XPathExceptionFunctionNotAvailable ( | const XalanDOMString & theFunctionNumber,
| XalanDOMString & theResult )

XPathExceptionFunctionNotAvailable::XPathExceptionFunctionNotAvailable ( | const XalanDOMString & theFunctionNumber,
| const LocatorType & theLocator,
| XalanDOMString & theResult )

XPathExceptionFunctionNotAvailable::~XPathExceptionFunctionNotAvailable ( | )

The documentation for this class was generated from the following file:

- XPathFunctionTable.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.